/*------------------------------------*\
    
    Contained Image + Text Block Customizations - Global Styling

    The styles you add to this file will be applied to the 'Contained Image + Text' block. 
    If there is any reasons why you would need to style them separately,
    please create a block-specific stylesheet for it (don't forget to register that block-specific stylesheet in acf-start-blocks.php)

\*------------------------------------*/

.image-text__half {
    position: relative;
    z-index: 1;
}

.flex-row {
    display: flex;
    flex-wrap: wrap;
}

.image-text .flex-row {
    align-items: center
}

.image-text__text {
    margin-bottom: 35px;
    position: relative;
    z-index: 1;
}

.image-text__img {
    position: relative;
    z-index: 1;
    height: auto;
    filter: drop-shadow(0 8px 20px rgba(0, 0, 0, 0.35));
}

.image-text__img img {
    border-radius: 8px;
}

.image-text--contain .image-text__img {
    display: flex;
    align-items: center;
    justify-content: center;
}

.image-text--contain .image-text__img img {
    width: auto;
    height: auto;
    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
}

.image-text__listing + .image-text__listing {
    margin-top: 20px;
}

.image-text__listing {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
}

.image-text__listing .image-text__list-img img {
    width: 25px;
}

.image-text__list-img {
    width: 61px;
    height: 61px;
    border-radius: 50%;
    background: linear-gradient(107deg, #EFF9FF 4.02%, #D2EDFF 107.33%);
    display: flex;
    align-items: center;
    justify-content: center;
}

.image-text__list-img i {
    background: var(--medium-blue-gradient);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    font-size: 25px;
    line-height: 1em;
}

.image-text__list-list {
    width: calc(100% - 61px);
    padding-left: 20px;
}

.image-text__list-list h6 {
    margin-bottom: 4px;
    font-size: 18px;
}

.video-bttn {
    position: absolute;
    top: 50%;
    left: 50%;
    display: grid;
    place-items: center;
    transform: translate(-50%, -50%);
}

.video-bttn__play,
.video-bttn__hover {
    grid-area: 1 / 1;
    transition: opacity 0.3s ease-in-out,
                transform 0.3s ease-in-out;
}

.video-bttn__play {
    width: 100px;
    height: auto;
    opacity: 1;
}

.video-bttn__hover {
    width: 130px;
    height: auto;
    opacity: 0;
    transform: scale(0.85);
}

.image-text__top-img {
    width: calc(100% - 28px);
    height: 149px;
}

.image-text__bottom-img {
    width: calc(100% - 58px);
    height: 112px;
    margin-left: auto;
    margin-top: 15px;
}

.image-text__top-img img,
.image-text__bottom-img img {
    border-radius: 12px;
}

.image-text__img--png {
    max-width: 616px;
    margin: 0 auto;
}

.image-text__img-globe {
    position: relative;
    z-index: 1;
    max-width: 552px;
}

.pink-circle {
    position: absolute;
    top: -27px;
    right: -16px;
    width: 100px;
    z-index: -1;
}

.border-circle {
    position: absolute;
    bottom: -80px;
    right: -54px;
    width: 159px;
    z-index: -1;
}

.image-text--left .pink-circle {
    right: auto;
    left: -16px;
}

.image-text--left .border-circle {
    right: auto;
    left: -54px;
}

@media (min-width: 768px) {
    .image-text__text {
        margin-bottom: 50px;
    }

    .image-text__img img {
        border-radius: 12px;
    }

    .image-text__list-list h6 {
        font-size: 20px;
    }

    .video-bttn__play {
        width: 118px;
    }

    .image-text__top-img {
        width: calc(100% - 56px);
        height: 300px;
    }

    .image-text__bottom-img {
        width: calc(100% - 117px);
        height: 226px;
        margin-top: 30px;
    }

    .pink-circle {
        top: -66px;
        right: -44px;
        width: 172px;
    }

    .border-circle {
        bottom: -129px;
        right: -89px;
        width: 339px;
    }

    .image-text--left .pink-circle {
        right: auto;
        left: -44px;
    }

    .image-text--left .border-circle {
        right: auto;
        left: -89px;
    }
}

@media (min-width: 1200px) {
    .flex-opposite {
        flex-direction: row-reverse;
    }

    .image-text__text {
        margin-bottom: 0;
    }

    .image-text__img img {
        border-radius: 20px;
    }

    .image-text__list-list h6 {
        font-size: 28px;
    }

    .video-bttn:hover .video-bttn__play {
        opacity: 0;
        transform: scale(0.85);
    }

    .video-bttn:hover .video-bttn__hover {
        opacity: 1;
        transform: scale(1);
    }

    .image-text__top-img {
        width: calc(100% - 75px);
        height: 332px;
    }

    .image-text__bottom-img {
        width: calc(100% - 109px);
        margin-top: 24px;
    }

    .image-text__top-img img,
    .image-text__bottom-img img {
        border-radius: 20px;
    }

    .image-text--globe .image-text__text h2 {
        margin-right: 10px;
    }

    .image-text--left .pink-circle {
        right: auto;
        left: -44px;
    }

    .image-text--left .border-circle {
        right: auto;
        left: -89px;
    }

    .image-text--left .image-text__img-globe {
        margin-left: auto;
    }
}


.image-text__img-curve {
    width: 318px;
    height: 290px;
    position: relative;
    margin: 0 auto;
}

.image-text__img-curve-laptop {
    left: 20px;
    transform: rotate(-7deg);
    top: 20px;
    width: 244px;
    position: absolute;
    z-index: 1;
}

.image-text__img-curve-logo {
    position: absolute;
    bottom: -20px;
    width: 252px;
    right: -29px;
    transform: rotate(202deg);
}

.image-text__img-curve-man {
    width: 112px;
    height: 112px;
    border-radius: 50%;
    position: absolute;
    bottom: 30px;
    right: 0;
    z-index: 2;
    transform: rotate(9deg);
}

.image-text__img-curve-man img {
    border-radius: 50%;
}

.image-text__img-curve-man:after {
    content: "";
    position: absolute;
    inset: 0;
    border-radius: 50%;
    padding: 5px;
    /* border thickness */
    background: linear-gradient(121.61deg, #0072BC 1.87%, #9DC2E6 96.64%);

    /* Mask to make center transparent */
    -webkit-mask:
        linear-gradient(#000 0 0) content-box,
        linear-gradient(#000 0 0);
    -webkit-mask-composite: xor;
    mask-composite: exclude;
    pointer-events: none;

}

.image-text__text h2 span {
    background: var(--medium-blue-gradient);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
}

.image-text__img-curve-laptop svg {
    width: 100%;
    height: 100%;
}

@media(min-width: 768px) {
    .image-text__img-curve {
        width: 468px;
        height: 510px;
    }

    .image-text__img-curve-laptop {
        top: 0;
        width: auto;
    }

    .image-text__img-curve-man:after {
        inset: -9px;
        padding: 10px;
    }

    .image-text__img-curve-man {
        width: 215px;
        height: 215px;
    }

    .image-text__img-curve-logo {
        bottom: -40px;
        width: auto;
        right: -129px;
        transform: rotate(162deg);
    }
}

@media(min-width: 1200px) {
    .image-text__img-curve {
        width: 468px;
        height: 510px;
        margin: 0;
    }

    .image-text__img-curve-man {
        right: -140px;
        bottom: 50px;
    }

    .image-text__img-curve-logo {
        bottom: -70px;
        width: auto;
        right: -299px;
        transform: rotate(198deg);
        max-width: unset;
    }
}